/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.authentication;

/**
 * Interface for authentication class in charge of login a user
 */
public interface Authentication
{
    /** The request attribute to allow internal action from an internal request. */
    public static final String INTERNAL_ALLOWED_REQUEST_ATTR = "Runtime:InternalAllowedRequest";
    
    /**
     * Check if a User can log in. This method is not in charge to check the
     * presence and to get the user in the base user.
     * 
     * @param credentials Contains user information (id, password and realm)
     * @return true if the user can login
     */
    public boolean login(Credentials credentials);
}
